Bug 219051 - mail/fetchmail rc.d script incorrectly returns 0 when not running
Summary: mail/fetchmail rc.d script incorrectly returns 0 when not running
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-03 17:03 UTC by Peter Putzer
Modified: 2018-11-06 14:54 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (chalpin)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Putzer 2017-05-03 17:03:41 UTC
I'm not sure how this happens, but the rc.d script of the port returns the exit code 0 for the command `service fetchmail status` even when the daemon is not running (even though the echo output "fetchmail is not running" is correct).
Comment 1 Walter Schwarzenfeld freebsd_triage 2018-01-13 09:01:43 UTC
Maintainer feedback?
Comment 2 Ollivier Robert freebsd_committer 2018-11-06 14:40:52 UTC
It is a bit more complicated because there can be either a global fetchmail running for all users or an instance of fetchmail for each user.  I can fix the single-user case, not the multiple users' one.
Comment 3 commit-hook freebsd_committer 2018-11-06 14:53:05 UTC
A commit references this bug:

Author: roberto
Date: Tue Nov  6 14:52:44 UTC 2018
New revision: 484295
URL: https://svnweb.freebsd.org/changeset/ports/484295

Log:
  mail/fetchmail:
  - Ensure the fetchmail script returns 1 if fetchmail is not running.
  - Bump PORTREVISION.

  PR:		ports/219051

Changes:
  head/mail/fetchmail/Makefile
  head/mail/fetchmail/files/fetchmail.in
Comment 4 Ollivier Robert freebsd_committer 2018-11-06 14:54:31 UTC
Fixed in r484295.  Thanks!